FreeMat

- Main Page
- Related Pages

vtkArcParallelEdgeStrategy

Section: Visualization Toolkit Infovis Classes

# Usage

Parallel edges are drawn as arcs, and self-loops are drawn as ovals. When only one edge connects two vertices it is drawn as a straight line.

To create an instance of class vtkArcParallelEdgeStrategy, simply invoke its constructor as follows

      obj = vtkArcParallelEdgeStrategy

# Methods

The class vtkArcParallelEdgeStrategy has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkArcParallelEdgeStrategy class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkArcParallelEdgeStrategy = obj.NewInstance ()`
- `vtkArcParallelEdgeStrategy = obj.SafeDownCast (vtkObject o)`
- `obj.Layout ()` - This is the layout method where the graph that was set in SetGraph() is laid out.
- `int = obj.GetNumberOfSubdivisions ()` - Get/Set the number of subdivisions on each edge.
- `obj.SetNumberOfSubdivisions (int )` - Get/Set the number of subdivisions on each edge.